Bug 223835 - [LayoutTests] Convert http/tests/contentextensions convert PHP to Python
Summary: [LayoutTests] Convert http/tests/contentextensions convert PHP to Python
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Gambrell
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-03-26 19:51 PDT by Chris Gambrell
Modified: 2021-03-30 16:29 PDT (History)
6 users (show)

See Also:


Attachments
Patch (74.58 KB, patch)
2021-03-26 19:53 PDT, Chris Gambrell
no flags Details | Formatted Diff | Diff
Patch (76.73 KB, patch)
2021-03-29 17:04 PDT, Chris Gambrell
no flags Details | Formatted Diff | Diff
Patch (75.38 KB, patch)
2021-03-30 07:43 PDT, Chris Gambrell
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Gambrell 2021-03-26 19:51:25 PDT
Replacing PHP with equivalent Python CGI scripts
Comment 1 Radar WebKit Bug Importer 2021-03-26 19:51:46 PDT
<rdar://problem/75912102>
Comment 2 Chris Gambrell 2021-03-26 19:53:26 PDT
Created attachment 424435 [details]
Patch
Comment 3 Chris Gambrell 2021-03-26 20:01:59 PDT
Comment on attachment 424435 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=424435&action=review

> LayoutTests/http/tests/contentextensions/resources/save_ping.py:8
> +class SavePing:

Had to do a hack-y way of sending variables to this class when including it for save_ping.py, save-ping.py, and save-ping-and-redirect-to-save-ping.py.
Comment 4 Jonathan Bedard 2021-03-29 09:22:49 PDT
Comment on attachment 424435 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=424435&action=review

>> LayoutTests/http/tests/contentextensions/resources/save_ping.py:8
>> +class SavePing:
> 
> Had to do a hack-y way of sending variables to this class when including it for save_ping.py, save-ping.py, and save-ping-and-redirect-to-save-ping.py.

I'm a unclear as to why SavePing is a class and not a function, it seems like function is the more natural choice here.
Comment 5 Chris Gambrell 2021-03-29 17:04:38 PDT
Created attachment 424603 [details]
Patch
Comment 6 Chris Gambrell 2021-03-30 07:43:42 PDT
Created attachment 424638 [details]
Patch
Comment 7 Jonathan Bedard 2021-03-30 07:56:27 PDT
To be clear, r+ on this change, Chris and I were talking on Slack, I neglected to actually publicize my r+.
Comment 8 EWS 2021-03-30 08:20:27 PDT
Committed r275204: <https://commits.webkit.org/r275204>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 424638 [details].